Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

JWT Authentication

Create access token

post

Generates a JWT access token using client credentials for Web SDK calls.

ヘッダーパラメータ
authorizationstring · 最小: 1 · 最大: 512必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · 最小: 1 · 最大: 36必須

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

本文
merchantIdstring · 最小: 1 · 最大: 128必須

Identifier of the merchant provided by Thales at on-boarding.

tokensstring[] · 最小: 1 · 最大: 10必須

The list of tokens to be associated with the JWT, only Mastercard and Visa tokens allowed, all the tokens must belong to the same merchant

Example: ["COFTG-MS-ce464906-cf39-4990-b4a8-c160e67c603a","COFTG-V-fe464806-sd39-1290-a4t8-f160e37c602b"]
scopestring · enum · 最大: 32必須

Scope used for the access token generation

可能な値:
レスポンス
200

Access token successfully generated

application/json
accessTokenstring必須

Access token generated for WEB SDK calls, JWT content:

  • exp
  • iss
  • iat
  • aud
  • sub
  • trId
  • scope
Example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
post/auth/accessToken
POST /tsh-cof/auth/accessToken HTTP/1.1
Host: thales.api.com
authorization: text
x-correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 153

{
  "merchantId": "text",
  "tokens": [
    "COFTG-MS-ce464906-cf39-4990-b4a8-c160e67c603a",
    "COFTG-V-fe464806-sd39-1290-a4t8-f160e37c602b"
  ],
  "scope": "PAYMENT_PASSKEY"
}
{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}

最終更新

役に立ちましたか?